Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class JspConfig.JspProperty

    java.lang.Object
      org.apache.jasper.compiler.JspConfig.JspProperty

Enclosing class:
  JspConfig

public static class JspConfig.JspProperty
extends java.lang.Object

Constructor Summary
`JspConfig.JspProperty(java.lang.String isXml, java.lang.String elIgnored, java.lang.String scriptingInvalid, java.lang.String pageEncoding, java.util.Vector includePrelude, java.util.Vector includeCoda)`

Method Summary
`java.util.Vector` | `getIncludeCoda()`
`java.util.Vector` | `getIncludePrelude()`
`java.lang.String` | `getPageEncoding()`
`java.lang.String` | `isELIgnored()`
`java.lang.String` | `isScriptingInvalid()`
`java.lang.String` | `isXml()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspConfig.JspProperty

    public JspConfig.JspProperty(java.lang.String isXml,
                                 java.lang.String elIgnored,
                                 java.lang.String scriptingInvalid,
                                 java.lang.String pageEncoding,
                                 java.util.Vector includePrelude,
                                 java.util.Vector includeCoda)

Method Detail

### isXml

    public java.lang.String isXml()

### isELIgnored

    public java.lang.String isELIgnored()

### isScriptingInvalid

    public java.lang.String isScriptingInvalid()

### getPageEncoding

    public java.lang.String getPageEncoding()

### getIncludePrelude

    public java.util.Vector getIncludePrelude()

### getIncludeCoda

    public java.util.Vector getIncludeCoda()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.